> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/working-with-the-import-api-v2/concurrent-import.md).

# Concurrent import

To reduce the amount of time it takes to import data, you can use a concurrent import and run multiple import operations at the same time. Because each REST API call triggers one import job, you can perform multiple REST calls.

{% hint style="info" %}
The number of import operations is limited by the configuration settings in Collibra Console. Due to machine restrictions, you can run up to 8 import operations concurrently.
{% endhint %}

Most concurrent import errors occur because of missing dependencies between import commands executed within different jobs at the same time. To ensure successful imports, data should be preprocessed first following these rules:

* A concurrent import of communities and domains is not supported. You must create them manually or import them in a dedicated job.
* You should not use two concurrent jobs to import assets with the same identifier.
* You should not use two concurrent jobs that specify the same relation between two assets.

By default, the whole import job is executed in one single database transaction. The bigger the transaction size, the higher the chance of database locks and job failure. To limit the database transaction size, you can use any of the following options:

* Use smaller input files, with no more than 10,000 assets. In case of concurrency errors, retry the failed job.
* Run import jobs with the [**continueOnError**](/api/guides/working-with-the-import-api-v2/the-option-to-continue-on-error.md) parameter set to `true`. With this option, Collibra automatically splits the input data into smaller chunks.

.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/working-with-the-import-api-v2/concurrent-import.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
